body > *.top {
  max-width: unset;
  padding-inline: unset;
  position: relative;
}

.top .introduction {
  max-width: 1440px;
  padding-inline: 30px;
  margin-inline: auto;
}

.top .title {
  margin-block: 8px 21px;
}

.banner {
  position: relative;
  padding-block: 44px 43px;
  margin-block: 42px 33px;
  display: flex;
  justify-content: flex-end;
  padding-right: 10px;
}

.banner .illustration {
  position: absolute;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  display: block;
}

.banner .corps {
  background-color: var(--color-primary);
  position: relative;
  z-index: 1;
  width: 62%;
  padding: 22px;
  max-width: 300px;
}

.banner .corps,
.banner .corps * {
  color: var(--color-white);
}

.top > .mascot {
  position: absolute;
  left: -1px;
  bottom: -3%;
  width: 146px;
  z-index: 1;
}

.single--other > .title {
  text-align: center;
  margin-bottom: 24px;
}

.single--other .swiper.caroussel {
  overflow: visible;
  margin-bottom: 24px;
}

.top + .single--other {
  overflow: hidden;
}

@media (width > 991px) {
  .top .introduction {
    display: flex;
    justify-content: space-between;
    margin-top: 21px;
    gap: 21px;
  }

  .top .title {
    margin-block: unset;
    max-width: 40.75%;
  }

  .top .corps {
    margin-top: 7px;
    max-width: 57.4%;
  }

  .banner {
    margin-block: 36px 58px;
    padding-block: 238px 59px;
    padding-right: 50px;
  }

  .top .banner .corps {
    max-width: 320px;
  }

  .top .mascot {
    width: 257px;
    bottom: -95px;
  }
}

@media (width > 1199px) {
  .banner {
    padding-right: 150px;
  }
}

@media (width > 1399px) {
  .banner {
    padding: unset;
    align-items: flex-end;
    height: 70vh;
  }

  .top .banner .corps {
    height: fit-content;
    margin: 0 10% 5% 0;
  }
}

@media (width > 1499px) {
  .top .introduction {
    padding-inline: unset;
  }
}

@media (width > 1799px) {
  .top .banner .corps {
    margin-right: 20%;
  }
}

@media (width > 1999px) {
  .top .banner .corps {
    margin-right: 25%;
  }
}

/* -- -- -- -- -- BAS DE PAGE - COMPONENT - DÉBUT -- -- -- -- -- */

@media (width > 991px) {
  .body > *.footpart.footpart--other {
    margin-bottom: 97px;
  }
}

/* -- -- -- -- -- BAS DE PAGE - COMPONENT - FIN -- -- -- -- -- */
